Bug 534187 - (RHQ-1007) RFE: provide audit log of which users logged in and when.
RFE: provide audit log of which users logged in and when.
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, SubTask
: RHQ-1023 (view as bug list)
Depends On:
Blocks: RHQ-1023
  Show dependency treegraph
 
Reported: 2008-10-22 09:37 EDT by John Mazzitelli
Modified: 2014-05-02 16:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-10-22 09:37:00 EDT
It would be nice if RHQ stored some login audit trail information, such as who logged in and when they logged in.

Would need a page (probably in Administration somewhere) that lets you view this login audit trail and purge old audit data you no longer need.

Would need new code in DataPurgeJob to purge the audit trail to avoid it growing unbounded.
Comment 1 John Mazzitelli 2008-10-22 09:41:44 EDT
The db table needed would be very simple - since its a log purely for security-auditng purposes, you don't need any foreign key relationships back to the subject table.  Just store the username and the login time.  Then we can run simple reports on that two-column table such as "who logged in in the last month", "how often did joey log in in the past year", etc.

TABLE: rhq_login_audit
COLUMNS: subject (VARCHAR), login_time (LONG)
Comment 2 Red Hat Bugzilla 2009-11-10 15:21:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1007
Comment 3 wes hayutin 2010-02-16 10:49:54 EST
mass move off of the qa rhq_triage queue, these are dev subtasks
Comment 4 Corey Welton 2010-08-18 11:41:18 EDT
*** Bug 534205 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.